STRUCT NODE_PLUS_(3)

NAME
boost::intrusive::treap::node_plus_pred_t

SYNOPSIS

// In header: <boost/intrusive/treap.hpp>
struct node_plus_pred_t {
  // member classes/structs/unions
  struct header_plus_priority_size {
    // construct/copy/destruct
    header_plus_priority_size(const priority_compare &);
    header_plus_size header_plus_size_;
  };
  // construct/copy/destruct
  node_plus_pred_t(const value_compare &, const priority_compare &);
  boost::intrusive::treap::node_plus_pred_t::header_plus_priority_size header_plus_priority_size_;
};

DESCRIPTION

  node_plus_pred_t public construct/copy/destruct

    1.

    node_plus_pred_t(const value_compare & comp, const priority_compare & p_comp);